## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.util
Class SybaseasesqlmodelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.util.SybaseasesqlmodelAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class SybaseasesqlmodelAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SybaseasesqlmodelPackage`

Constructor Summary
`SybaseasesqlmodelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createAuthorizationIdentifierAdapter()` Creates a new adapter for an object of class '`Authorization Identifier`'.
`org.eclipse.emf.common.notify.Adapter` `createBaseTableAdapter()` Creates a new adapter for an object of class '`Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createCacheInfoAdapter()` Creates a new adapter for an object of class '`Cache Info`'.
`org.eclipse.emf.common.notify.Adapter` `createCatalogAdapter()` Creates a new adapter for an object of class '`Catalog`'.
`org.eclipse.emf.common.notify.Adapter` `createCheckConstraintAdapter()` Creates a new adapter for an object of class '`Check Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createColumnAdapter()` Creates a new adapter for an object of class '`Column`'.
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createDatabaseAdapter()` Creates a new adapter for an object of class '`Database`'.
`org.eclipse.emf.common.notify.Adapter` `createDataTypeAdapter()` Creates a new adapter for an object of class '`Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createDerivedTableAdapter()` Creates a new adapter for an object of class '`Derived Table`'.
`org.eclipse.emf.common.notify.Adapter` `createDeviceItemAdapter()` Creates a new adapter for an object of class '`Device Item`'.
`org.eclipse.emf.common.notify.Adapter` `createDistinctUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`Distinct User Defined Type`'.
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`org.eclipse.emf.common.notify.Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createGroupAdapter()` Creates a new adapter for an object of class '`Group`'.
`org.eclipse.emf.common.notify.Adapter` `createIndexAdapter()` Creates a new adapter for an object of class '`Index`'.
`org.eclipse.emf.common.notify.Adapter` `createIndexMemberAdapter()` Creates a new adapter for an object of class '`Index Member`'.
`org.eclipse.emf.common.notify.Adapter` `createLockPromotionInfoAdapter()` Creates a new adapter for an object of class '`Lock Promotion Info`'.
`org.eclipse.emf.common.notify.Adapter` `createPersistentTableAdapter()` Creates a new adapter for an object of class '`Persistent Table`'.
`org.eclipse.emf.common.notify.Adapter` `createPredefinedDataTypeAdapter()` Creates a new adapter for an object of class '`Predefined Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createPrimaryKeyAdapter()` Creates a new adapter for an object of class '`Primary Key`'.
`org.eclipse.emf.common.notify.Adapter` `createPrivilegeAdapter()` Creates a new adapter for an object of class '`Privilege`'.
`org.eclipse.emf.common.notify.Adapter` `createProcedureAdapter()` Creates a new adapter for an object of class '`Procedure`'.
`org.eclipse.emf.common.notify.Adapter` `createReferenceConstraintAdapter()` Creates a new adapter for an object of class '`Reference Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createRoleAdapter()` Creates a new adapter for an object of class '`Role`'.
`org.eclipse.emf.common.notify.Adapter` `createRoutineAdapter()` Creates a new adapter for an object of class '`Routine`'.
`org.eclipse.emf.common.notify.Adapter` `createSchemaAdapter()` Creates a new adapter for an object of class '`Schema`'.
`org.eclipse.emf.common.notify.Adapter` `createSegmentThresholdAdapter()` Creates a new adapter for an object of class '`Segment Threshold`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLDataTypeAdapter()` Creates a new adapter for an object of class '`SQL Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEBaseTableAdapter()` Creates a new adapter for an object of class '`Sybase ASE Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASECacheAdapter()` Creates a new adapter for an object of class '`Sybase ASE Cache`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASECatalogAdapter()` Creates a new adapter for an object of class '`Sybase ASE Catalog`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASECheckConstraintAdapter()` Creates a new adapter for an object of class '`Sybase ASE Check Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEColumnAdapter()` Creates a new adapter for an object of class '`Sybase ASE Column`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEColumnCheckConstraintAdapter()` Creates a new adapter for an object of class '`Sybase ASE Column Check Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEDatabaseAdapter()` Creates a new adapter for an object of class '`Sybase ASE Database`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEDefaultAdapter()` Creates a new adapter for an object of class '`Sybase ASE Default`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEEncryptionKeyAdapter()` Creates a new adapter for an object of class '`Sybase ASE Encryption Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEFuncBasedIndexMemberAdapter()` Creates a new adapter for an object of class '`Sybase ASE Func Based Index Member`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEGroupAdapter()` Creates a new adapter for an object of class '`Sybase ASE Group`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEIndexAdapter()` Creates a new adapter for an object of class '`Sybase ASE Index`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEPredefinedDataTypeAdapter()` Creates a new adapter for an object of class '`Sybase ASE Predefined Data Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEPrimaryKeyAdapter()` Creates a new adapter for an object of class '`Sybase ASE Primary Key`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEPrivilegeAdapter()` Creates a new adapter for an object of class '`Sybase ASE Privilege`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEProcedureAdapter()` Creates a new adapter for an object of class '`Sybase ASE Procedure`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEProxyTableAdapter()` Creates a new adapter for an object of class '`Sybase ASE Proxy Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASERoleAdapter()` Creates a new adapter for an object of class '`Sybase ASE Role`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASERuleAdapter()` Creates a new adapter for an object of class '`Sybase ASE Rule`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASESchemaAdapter()` Creates a new adapter for an object of class '`Sybase ASE Schema`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASESegmentAdapter()` Creates a new adapter for an object of class '`Sybase ASE Segment`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASETableAdapter()` Creates a new adapter for an object of class '`Sybase ASE Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASETempTableAdapter()` Creates a new adapter for an object of class '`Sybase ASE Temp Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASETriggerAdapter()` Creates a new adapter for an object of class '`Sybase ASE Trigger`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEUniqueConstraintAdapter()` Creates a new adapter for an object of class '`Sybase ASE Unique Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEUserAdapter()` Creates a new adapter for an object of class '`Sybase ASE User`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`Sybase ASE User Defined Type`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEViewTableAdapter()` Creates a new adapter for an object of class '`Sybase ASE View Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEWebServiceAdapter()` Creates a new adapter for an object of class '`Sybase ASE Web Service`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseASEWebServiceTableAdapter()` Creates a new adapter for an object of class '`Sybase ASE Web Service Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseAuthorizationIdentifierAdapter()` Creates a new adapter for an object of class '`Sybase Authorization Identifier`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseAuthorizedObjectAdapter()` Creates a new adapter for an object of class '`Sybase Authorized Object`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseBaseTableAdapter()` Creates a new adapter for an object of class '`Sybase Base Table`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseIndexMemberAdapter()` Creates a new adapter for an object of class '`Sybase Index Member`'.
`org.eclipse.emf.common.notify.Adapter` `createSybasePrivilegeAdapter()` Creates a new adapter for an object of class '`Sybase Privilege`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseRoutineAdapter()` Creates a new adapter for an object of class '`Sybase Routine`'.
`org.eclipse.emf.common.notify.Adapter` `createSybaseViewTableAdapter()` Creates a new adapter for an object of class '`Sybase View Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTableAdapter()` Creates a new adapter for an object of class '`Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTableConstraintAdapter()` Creates a new adapter for an object of class '`Table Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createTemporaryTableAdapter()` Creates a new adapter for an object of class '`Temporary Table`'.
`org.eclipse.emf.common.notify.Adapter` `createTriggerAdapter()` Creates a new adapter for an object of class '`Trigger`'.
`org.eclipse.emf.common.notify.Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'.
`org.eclipse.emf.common.notify.Adapter` `createUniqueConstraintAdapter()` Creates a new adapter for an object of class '`Unique Constraint`'.
`org.eclipse.emf.common.notify.Adapter` `createUserAdapter()` Creates a new adapter for an object of class '`User`'.
`org.eclipse.emf.common.notify.Adapter` `createUserDefinedTypeAdapter()` Creates a new adapter for an object of class '`User Defined Type`'.
`org.eclipse.emf.common.notify.Adapter` `createViewTableAdapter()` Creates a new adapter for an object of class '`View Table`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseasesqlmodelAdapterFactory

    public SybaseasesqlmodelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSybaseASESchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASESchemaAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASESchema`

### createSybaseASEDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEDatabaseAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEDatabase`

### createSybaseASEWebServiceAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEWebServiceAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Web Service`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEWebService`

### createSybaseASEPredefinedDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEPredefinedDataTypeAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Predefined Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEPredefinedDataType`

### createSybaseASECatalogAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASECatalogAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Catalog`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASECatalog`

### createSybaseASEProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEProcedureAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEProcedure`

### createSybaseASEDefaultAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEDefaultAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Default`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEDefault`

### createSybaseASERuleAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASERuleAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASERule`

### createSybaseASEIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEIndexAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEIndex`

### createSybaseASESegmentAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASESegmentAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Segment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASESegment`

### createSybaseASEFuncBasedIndexMemberAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEFuncBasedIndexMemberAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Func Based Index Member`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEFuncBasedIndexMember`

### createSybaseASETableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASETableAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASETable`

### createSybaseASEColumnCheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEColumnCheckConstraintAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Column Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEColumnCheckConstraint`

### createSybaseASEColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEColumnAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEColumn`

### createSybaseASEUniqueConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEUniqueConstraintAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Unique Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEUniqueConstraint`

### createSybaseASEPrimaryKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEPrimaryKeyAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Primary Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEPrimaryKey`

### createDeviceItemAdapter

    public org.eclipse.emf.common.notify.Adapter createDeviceItemAdapter()

  Creates a new adapter for an object of class '`Device Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DeviceItem`

### createSegmentThresholdAdapter

    public org.eclipse.emf.common.notify.Adapter createSegmentThresholdAdapter()

  Creates a new adapter for an object of class '`Segment Threshold`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SegmentThreshold`

### createCacheInfoAdapter

    public org.eclipse.emf.common.notify.Adapter createCacheInfoAdapter()

  Creates a new adapter for an object of class '`Cache Info`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CacheInfo`

### createSybaseASEUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`Sybase ASE User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEUserDefinedType`

### createSybaseASEEncryptionKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEEncryptionKeyAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Encryption Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEEncryptionKey`

### createLockPromotionInfoAdapter

    public org.eclipse.emf.common.notify.Adapter createLockPromotionInfoAdapter()

  Creates a new adapter for an object of class '`Lock Promotion Info`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LockPromotionInfo`

### createSybaseASERoleAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASERoleAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASERole`

### createSybaseASECacheAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASECacheAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Cache`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASECache`

### createSybaseASEViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEViewTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASE View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEViewTable`

### createSybaseASETempTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASETempTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Temp Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASETempTable`

### createSybaseASEProxyTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEProxyTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Proxy Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEProxyTable`

### createSybaseASEWebServiceTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEWebServiceTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Web Service Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEWebServiceTable`

### createSybaseASEBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEBaseTableAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEBaseTable`

### createSybaseASEUserAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEUserAdapter()

  Creates a new adapter for an object of class '`Sybase ASE User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEUser`

### createSybaseASEGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEGroupAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEGroup`

### createSybaseASEPrivilegeAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASEPrivilegeAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Privilege`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASEPrivilege`

### createSybaseASETriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASETriggerAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASETrigger`

### createSybaseASECheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseASECheckConstraintAdapter()

  Creates a new adapter for an object of class '`Sybase ASE Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseASECheckConstraint`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createSQLObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createSchemaAdapter()

  Creates a new adapter for an object of class '`Schema`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Schema`

### createDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createDatabaseAdapter()

  Creates a new adapter for an object of class '`Database`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Database`

### createDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataTypeAdapter()

  Creates a new adapter for an object of class '`Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataType`

### createSQLDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createSQLDataTypeAdapter()

  Creates a new adapter for an object of class '`SQL Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLDataType`

### createPredefinedDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPredefinedDataTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedDataType`

### createCatalogAdapter

    public org.eclipse.emf.common.notify.Adapter createCatalogAdapter()

  Creates a new adapter for an object of class '`Catalog`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Catalog`

### createRoutineAdapter

    public org.eclipse.emf.common.notify.Adapter createRoutineAdapter()

  Creates a new adapter for an object of class '`Routine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Routine`

### createProcedureAdapter

    public org.eclipse.emf.common.notify.Adapter createProcedureAdapter()

  Creates a new adapter for an object of class '`Procedure`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Procedure`

### createSybaseAuthorizedObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseAuthorizedObjectAdapter()

  Creates a new adapter for an object of class '`Sybase Authorized Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseAuthorizedObject`

### createSybaseRoutineAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseRoutineAdapter()

  Creates a new adapter for an object of class '`Sybase Routine`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseRoutine`

### createIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexAdapter()

  Creates a new adapter for an object of class '`Index`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Index`

### createIndexMemberAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexMemberAdapter()

  Creates a new adapter for an object of class '`Index Member`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IndexMember`

### createSybaseIndexMemberAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseIndexMemberAdapter()

  Creates a new adapter for an object of class '`Sybase Index Member`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseIndexMember`

### createTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTableAdapter()

  Creates a new adapter for an object of class '`Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Table`

### createBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createBaseTableAdapter()

  Creates a new adapter for an object of class '`Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BaseTable`

### createPersistentTableAdapter

    public org.eclipse.emf.common.notify.Adapter createPersistentTableAdapter()

  Creates a new adapter for an object of class '`Persistent Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PersistentTable`

### createSybaseBaseTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseBaseTableAdapter()

  Creates a new adapter for an object of class '`Sybase Base Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseBaseTable`

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createTableConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createTableConstraintAdapter()

  Creates a new adapter for an object of class '`Table Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableConstraint`

### createCheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createCheckConstraintAdapter()

  Creates a new adapter for an object of class '`Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CheckConstraint`

### createTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createColumnAdapter

    public org.eclipse.emf.common.notify.Adapter createColumnAdapter()

  Creates a new adapter for an object of class '`Column`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Column`

### createReferenceConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceConstraintAdapter()

  Creates a new adapter for an object of class '`Reference Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReferenceConstraint`

### createUniqueConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createUniqueConstraintAdapter()

  Creates a new adapter for an object of class '`Unique Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UniqueConstraint`

### createPrimaryKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimaryKeyAdapter()

  Creates a new adapter for an object of class '`Primary Key`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PrimaryKey`

### createUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedType`

### createDistinctUserDefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDistinctUserDefinedTypeAdapter()

  Creates a new adapter for an object of class '`Distinct User Defined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DistinctUserDefinedType`

### createAuthorizationIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createAuthorizationIdentifierAdapter()

  Creates a new adapter for an object of class '`Authorization Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AuthorizationIdentifier`

### createRoleAdapter

    public org.eclipse.emf.common.notify.Adapter createRoleAdapter()

  Creates a new adapter for an object of class '`Role`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Role`

### createSybaseAuthorizationIdentifierAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseAuthorizationIdentifierAdapter()

  Creates a new adapter for an object of class '`Sybase Authorization Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseAuthorizationIdentifier`

### createDerivedTableAdapter

    public org.eclipse.emf.common.notify.Adapter createDerivedTableAdapter()

  Creates a new adapter for an object of class '`Derived Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DerivedTable`

### createViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createViewTableAdapter()

  Creates a new adapter for an object of class '`View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewTable`

### createSybaseViewTableAdapter

    public org.eclipse.emf.common.notify.Adapter createSybaseViewTableAdapter()

  Creates a new adapter for an object of class '`Sybase View Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybaseViewTable`

### createTemporaryTableAdapter

    public org.eclipse.emf.common.notify.Adapter createTemporaryTableAdapter()

  Creates a new adapter for an object of class '`Temporary Table`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemporaryTable`

### createUserAdapter

    public org.eclipse.emf.common.notify.Adapter createUserAdapter()

  Creates a new adapter for an object of class '`User`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `User`

### createGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createGroupAdapter()

  Creates a new adapter for an object of class '`Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Group`

### createPrivilegeAdapter

    public org.eclipse.emf.common.notify.Adapter createPrivilegeAdapter()

  Creates a new adapter for an object of class '`Privilege`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Privilege`

### createSybasePrivilegeAdapter

    public org.eclipse.emf.common.notify.Adapter createSybasePrivilegeAdapter()

  Creates a new adapter for an object of class '`Sybase Privilege`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SybasePrivilege`

### createTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createTriggerAdapter()

  Creates a new adapter for an object of class '`Trigger`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Trigger`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.